(function ($) {
    $(function () {

        $('.ace-editor .editor').each(function () {
            $(this).asAceEditor();

            editor = $(this).data('ace-editor');
            editor.setOption("maxLines", 15);
            editor.setShowPrintMargin(false);

            if ($(this).data('type') == 'stylesheet') {
                editor.getSession().setMode('ace/mode/css');

            } else if ($(this).data('type') == 'javascript') {
                editor.getSession().setMode('ace/mode/javascript');
            }
        });

    });
})(jQuery);