var deleteUnusedLocationsData = {'count': 0, 'offset': 0, 'databaseData': {}};

(function ($) {
    "use strict";

    $(document).ready(function () {
        var MagicPageDeleteUnusedLocations = (function () {

            $('#magic-page-delete-unused-locations-dialog').dialog({
                title: 'Delete Unused Locations',
                autoOpen: false,
                dialogClass: 'wp-dialog',
                draggable: true,
                modal: true,
                resizable: true,
                closeOnEscape: true,
                minWidth: 350,
                maxWidth: 800,
                height: 350,
                width: 500,
                position: {
                    my: "center",
                    at: "center",
                    of: window
                },
                close: function () {
                    $('#success-deleting-locations').addClass('hidden');
                    $('#deletingLocationLabel').addClass('hidden');
                    $('#deleteUnusedLocations').removeClass('hidden');
                    deleteUnusedLocationsData = {'count': 0, 'offset': 0};

                }
            });

            $('#deleteUnusedLocationsDialog').click(function () {
                $('#magic-page-delete-unused-locations-dialog').dialog('open');
            });

            $(document).on('click', '#deleteUnusedLocations', deleteUnusedLocations);
            function deleteUnusedLocations() {

                $(this).addClass('hidden');
                $('#magic-page-delete-unused-locations-dialog #deletingLocationLabel').removeClass('hidden');
                cycleDeleteUnusedLocations();
            }

            function cycleDeleteUnusedLocations() {
                var data = {
                    action: 'delete_unused_locations',
                    data: deleteUnusedLocationsData
                };

                $.post(ajaxurl, data, function (response) {
                    if (response.success) {
                        deleteUnusedLocationsData = response.data;

                        if (!response.data.done) {
                            cycleDeleteUnusedLocations();
                        } else {
                            $('#magic-page-delete-unused-locations-dialog #deletingLocationLabel').addClass('hidden');
                            $('#success-deleting-locations').removeClass('hidden');
                            $('#success-deleting-locations .count').text(deleteUnusedLocationsData.offset);
                        }


                    }
                });
            }

        }(MagicPageDeleteUnusedLocations));

    });

})(jQuery);
