<?php

if (!defined('MAGIC_PAGE_VERSION')) {
    $path = realpath(dirname(__FILE__));

    define('WP_USE_THEMES', false);
    require($path . '/../../../wp-load.php');
} else {
    if (!defined('ABSPATH')) {
        exit;
    }
}

if (defined('DOING_AJAX') && DOING_AJAX) {
    return false;
}

class MagicPageCron {

    public function __construct() {
        if (magicpage_check_maybe_id() && (isset($_GET['id']) && get_magicpage_shortid() === $_GET['id'])) {
            return $this->process();
        }
    }

    public function process() {
        magic_page_perform_cron();

        echo('Cron Task Completed.');

        exit();
    }

}

new MagicPageCron();
