
(function ($) {
    "use strict";

    $(document).ready(function () {

        $(document).on('click', '.download-mpp-theme-button', function () {

            var data = {
                action: 'magicpage_download_theme',
                id: $(this).data('id')
            };

            $.post(ajaxurl, data, function (response) {
                if (response.success) {
                    window.open(response.data, "_blank");
                }
            });
        });


        var req = '';
        $(window).scroll(function () {

            if (req === 'sent') {
                return false;
            }
            if ((window.innerHeight + window.scrollY) >= document.body.offsetHeight) {
                req = 'sent';

                setTimeout(function () {
                    lazyLoadImages();
                }, 1000);
            }
        });


        var data = {
            action: 'magicpage_get_themes'
        };

        $.post(ajaxurl, data, function (response) {
            if (response.success) {
                $('#mpp-theme-browser').html(response.data.html);
                $('#themes-mpp .theme-count').show().html(response.data.count);
                
                lazyLoadImages();
            }
        });

        function lazyLoadImages() {
            $('#mpp-theme-browser').find('img[data-src]').each(function () {
                $(this).attr('src', $(this).attr('data-src')).removeAttr('data-src');
            });
        }





    });

})(jQuery);
