(function ($) {
    $(function () {
        $(window).bind("load", function () {
            $(".google_map").each(function () {
                $(this).show();

                if (!google_map_settings.lat || !google_map_settings.lon) {
                    $(this).remove();
                }

                var m = new google.maps.LatLng(google_map_settings.lat, google_map_settings.lon);

                var mapOptions = {
                    zoom: $(this).data('zoom'),
                    center: m,
                    mapTypeId: $(this).data('type'),
                    disableDefaultUI: true
                };

                var map = new google.maps.Map($(this)[0], mapOptions);

                var marker = new google.maps.Marker({
                    position: m,
                    title: google_map_settings.title
                });

                marker.setMap(map);
            });
        });
    });
})(jQuery);